Apply by doing:
	cd /usr/src
	patch -p0 < 033_execsubr.patch

And then rebuild your kernel.

Index: sys/kern/exec_subr.c
===================================================================
RCS file: /cvs/src/sys/kern/exec_subr.c,v
retrieving revision 1.7
diff -u -r1.7 exec_subr.c
--- sys/kern/exec_subr.c	1999/11/05 01:18:01	1.7
+++ sys/kern/exec_subr.c	2000/11/06 18:57:27
@@ -1,4 +1,4 @@
-/*	$OpenBSD: exec_subr.c,v 1.7 1999/11/05 01:18:01 mickey Exp $	*/
+/*	$OpenBSD: exec_subr.c,v 1.9 2000/11/06 16:19:52 art Exp $	*/
 /*	$NetBSD: exec_subr.c,v 1.9 1994/12/04 03:10:42 mycroft Exp $	*/
 
 /*
@@ -154,12 +154,13 @@
 	 * map the vnode in using uvm_map.
 	 */
 
-	/* checks imported from uvm_mmap, needed? */
         if (cmd->ev_len == 0)
                 return(0);
         if (cmd->ev_offset & PAGE_MASK)
                 return(EINVAL);
 	if (cmd->ev_addr & PAGE_MASK)
+		return(EINVAL);
+	if (cmd->ev_len & PAGE_MASK)
 		return(EINVAL);
 
 	/*
